--- old/usr/src/cmd/oamuser/lib/vlogin.c	Mon Mar 25 12:53:25 2013
+++ new/usr/src/cmd/oamuser/lib/vlogin.c	Mon Mar 25 12:53:25 2013
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright (c) 1997, by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -27,9 +29,6 @@
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3 */
-
 /*LINTLIBRARY*/
 
 #include	<sys/types.h>
@@ -68,12 +67,11 @@
 			clower++;
 	}
 
-	/*
-	 * XXX length checking causes some operational/compatibility problem.
-	 * This has to be revisited in the future as ARC/standards issue.
-	 */
-	if (len > LOGNAME_MAX)
-		*warning = *warning | WARN_NAME_TOO_LONG;
+#ifdef	LOGNAME_MAX_ILLUMOS
+	if (len > LOGNAME_MAX_ILLUMOS)
+		return (LONGNAME);
+#endif /* LOGNAME_MAX_ILLUMOS */
+
 	if (clower == 0)
 		*warning = *warning | WARN_NO_LOWERCHAR;
 	if (badc != 0)
